[Overview][Classes][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.FindPointer

Search for a data pointer

## Declaration

Source position: avl_tree.pp line 86

`public function TAVLTree.FindPointer(`
`Data: Pointer`
`):TAVLTreeNode;`

## Arguments

`Data` |  | The data pointer to search for.

## Function result

The node that matches Data

## Description

FindPointer searches for a node where the actual data pointer equals Data. This is a more fine search than find, where a custom compare function can be used.

The default OnCompare compares the data pointers, so the default Find will return the same node as FindPointer

## See also

TAVLTree.Find |  | Find a data item in the tree.
TAVLTree.FindKey |  | Find a data item in the tree using alternate compare mechanism

Documentation generated on: Feb 26 2014